import { UtcTimezone } from "../../user";

export const samsungLegacyTimezoneMap: Record<string, UtcTimezone> = {
  TZ0000: "+00:00",
  TZ0001: "+00:00",
  TZ0002: "+00:00",
  TZ0003: "+03:00",
  TZ0004: "+01:00",
  TZ0005: "+03:00",
  TZ0006: "+00:00",
  TZ0007: "+01:00",
  TZ0008: "+00:00",
  TZ0009: "+00:00",
  TZ0010: "+02:00",
  TZ0011: "+01:00",
  TZ0012: "+02:00",
  TZ0013: "+02:00",
  TZ0014: "+00:00",
  TZ0015: "+01:00",
  TZ0016: "+00:00",
  TZ0017: "+00:00",
  TZ0018: "+03:00",
  TZ0019: "+03:00",
  TZ0020: "+01:00",
  TZ0021: "+00:00",
  TZ0022: "+00:00",
  TZ0023: "+02:00",
  TZ0024: "+02:00",
  TZ0025: "+02:00",
  TZ0026: "+02:00",
  TZ0027: "+03:00",
  TZ0028: "+02:00",
  TZ0029: "+02:00",
  TZ0030: "+01:00",
  TZ0031: "+01:00",
  TZ0032: "+01:00",
  TZ0033: "+00:00",
  TZ0034: "+01:00",
  TZ0035: "+02:00",
  TZ0036: "+02:00",
  TZ0037: "+01:00",
  TZ0038: "+02:00",
  TZ0039: "+02:00",
  TZ0040: "+02:00",
  TZ0041: "+03:00",
  TZ0042: "+00:00",
  TZ0043: "+03:00",
  TZ0044: "+01:00",
  TZ0045: "+01:00",
  TZ0046: "+00:00",
  TZ0047: "+00:00",
  TZ0048: "+01:00",
  TZ0049: "+00:00",
  TZ0050: "+02:00",
  TZ0051: "+01:00",
  TZ0052: "+02:00",
  TZ0053: "-10:00",
  TZ0054: "-09:00",
  TZ0055: "-04:00",
  TZ0056: "-04:00",
  TZ0057: "-03:00",
  TZ0058: "-03:00",
  TZ0059: "-03:00",
  TZ0060: "-03:00",
  TZ0061: "-03:00",
  TZ0062: "-03:00",
  TZ0063: "-03:00",
  TZ0064: "-03:00",
  TZ0065: "-03:00",
  TZ0066: "-03:00",
  TZ0067: "-03:00",
  TZ0068: "-03:00",
  TZ0069: "-03:00",
  TZ0070: "-04:00",
  TZ0071: "-04:00",
  TZ0072: "-05:00",
  TZ0073: "-03:00",
  TZ0074: "-06:00",
  TZ0075: "-04:00",
  TZ0076: "-03:00",
  TZ0077: "-06:00",
  TZ0078: "-04:00",
  TZ0079: "-04:00",
  TZ0080: "-05:00",
  TZ0081: "-07:00",
  TZ0082: "-07:00",
  TZ0083: "-04:00",
  TZ0084: "-05:00",
  TZ0085: "-04:00",
  TZ0086: "-03:00",
  TZ0087: "-05:00",
  TZ0088: "-06:00",
  TZ0089: "-07:00",
  TZ0090: "-06:00",
  TZ0091: "-07:00",
  TZ0092: "-04:00",
  TZ0093: "-04:00",
  TZ0094: "+00:00",
  TZ0095: "-07:00",
  TZ0096: "-07:00",
  TZ0097: "-07:00",
  TZ0098: "-05:00",
  TZ0099: "-04:00",
  TZ0100: "-07:00",
  TZ0101: "-05:00",
  TZ0102: "-06:00",
  TZ0103: "-03:00",
  TZ0104: "-04:00",
  TZ0105: "-03:00",
  TZ0106: "-04:00",
  TZ0107: "-05:00",
  TZ0108: "-04:00",
  TZ0109: "-04:00",
  TZ0110: "-06:00",
  TZ0111: "-05:00",
  TZ0112: "-04:00",
  TZ0113: "-04:00",
  TZ0114: "-05:00",
  TZ0115: "-07:00",
  TZ0116: "-05:00",
  TZ0117: "-06:00",
  TZ0118: "-05:00",
  TZ0119: "-05:00",
  TZ0120: "-06:00",
  TZ0121: "-05:00",
  TZ0122: "-05:00",
  TZ0123: "-05:00",
  TZ0124: "-07:00",
  TZ0125: "-05:00",
  TZ0126: "-05:00",
  TZ0127: "-09:00",
  TZ0128: "-05:00",
  TZ0129: "-05:00",
  TZ0130: "-04:00",
  TZ0131: "-04:00",
  TZ0132: "-05:00",
  TZ0133: "-08:00",
  TZ0134: "-04:00",
  TZ0135: "-03:00",
  TZ0136: "-06:00",
  TZ0137: "-04:00",
  TZ0138: "-04:00",
  TZ0139: "-04:00",
  TZ0140: "-06:00",
  TZ0141: "-07:00",
  TZ0142: "-06:00",
  TZ0143: "-06:00",
  TZ0144: "-09:00",
  TZ0145: "-06:00",
  TZ0146: "-03:00",
  TZ0147: "-04:00",
  TZ0148: "-06:00",
  TZ0149: "-03:00",
  TZ0150: "-05:00",
  TZ0151: "-04:00",
  TZ0152: "-05:00",
  TZ0153: "-05:00",
  TZ0154: "-05:00",
  TZ0155: "-09:00",
  TZ0156: "-02:00",
  TZ0157: "-06:00",
  TZ0158: "-06:00",
  TZ0159: "-06:00",
  TZ0160: "-07:00",
  TZ0161: "-05:00",
  TZ0162: "-05:00",
  TZ0163: "-03:00",
  TZ0164: "-07:00",
  TZ0165: "-05:00",
  TZ0166: "-04:00",
  TZ0167: "-04:00",
  TZ0168: "-04:00",
  TZ0169: "-06:00",
  TZ0170: "-06:00",
  TZ0171: "-03:00",
  TZ0172: "-06:00",
  TZ0173: "-06:00",
  TZ0174: "-05:00",
  TZ0175: "-08:00",
  TZ0176: "-03:00",
  TZ0177: "-04:00",
  TZ0178: "-04:00",
  TZ0179: "-03:00",
  TZ0180: "-01:00",
  TZ0181: "-07:00",
  TZ0182: "-09:00",
  TZ0183: "-04:00",
  TZ0184: "-04:30",
  TZ0185: "-04:00",
  TZ0186: "-04:00",
  TZ0187: "-04:00",
  TZ0188: "-04:00",
  TZ0189: "-06:00",
  TZ0190: "-06:00",
  TZ0191: "-04:00",
  TZ0192: "-05:00",
  TZ0193: "-08:00",
  TZ0194: "-05:00",
  TZ0195: "-04:00",
  TZ0196: "-08:00",
  TZ0197: "-07:00",
  TZ0198: "-06:00",
  TZ0199: "-09:00",
  TZ0200: "-07:00",
  TZ0201: "+11:00",
  TZ0202: "+07:00",
  TZ0203: "+10:00",
  TZ0204: "+10:00",
  TZ0205: "+05:00",
  TZ0206: "+12:00",
  TZ0207: "-03:00",
  TZ0208: "-03:00",
  TZ0209: "+12:00",
  TZ0210: "+03:00",
  TZ0211: "+06:00",
  TZ0212: "+01:00",
  TZ0213: "+03:00",
  TZ0214: "+06:00",
  TZ0215: "+02:00",
  TZ0216: "+12:00",
  TZ0217: "+05:00",
  TZ0218: "+05:00",
  TZ0219: "+05:00",
  TZ0220: "+03:00",
  TZ0221: "+03:00",
  TZ0222: "+04:00",
  TZ0223: "+07:00",
  TZ0224: "+02:00",
  TZ0225: "+06:00",
  TZ0226: "+08:00",
  TZ0227: "+08:00",
  TZ0228: "+08:00",
  TZ0229: "+05:30",
  TZ0230: "+02:00",
  TZ0231: "+06:00",
  TZ0232: "+09:00",
  TZ0233: "+04:00",
  TZ0234: "+05:00",
  TZ0235: "+02:00",
  TZ0236: "+08:00",
  TZ0237: "+02:00",
  TZ0238: "+07:00",
  TZ0239: "+08:00",
  TZ0240: "+07:00",
  TZ0241: "+08:00",
  TZ0242: "+07:00",
  TZ0243: "+09:00",
  TZ0244: "+02:00",
  TZ0245: "+04:30",
  TZ0246: "+12:00",
  TZ0247: "+05:00",
  TZ0248: "+06:00",
  TZ0249: "+05:45",
  TZ0250: "+05:30",
  TZ0251: "+07:00",
  TZ0252: "+08:00",
  TZ0253: "+08:00",
  TZ0254: "+03:00",
  TZ0255: "+08:00",
  TZ0256: "+11:00",
  TZ0257: "+08:00",
  TZ0258: "+08:00",
  TZ0259: "+04:00",
  TZ0260: "+02:00",
  TZ0261: "+07:00",
  TZ0262: "+07:00",
  TZ0263: "+06:00",
  TZ0264: "+05:00",
  TZ0265: "+07:00",
  TZ0266: "+07:00",
  TZ0267: "+09:00",
  TZ0268: "+03:00",
  TZ0269: "+05:00",
  TZ0270: "+06:30",
  TZ0271: "+03:00",
  TZ0272: "+11:00",
  TZ0273: "+05:00",
  TZ0274: "+09:00",
  TZ0275: "+08:00",
  TZ0276: "+08:00",
  TZ0277: "+08:00",
  TZ0278: "+05:00",
  TZ0279: "+04:00",
  TZ0280: "+03:30",
  TZ0281: "+06:00",
  TZ0282: "+09:00",
  TZ0283: "+08:00",
  TZ0284: "+06:00",
  TZ0285: "+07:00",
  TZ0286: "+10:00",
  TZ0287: "+09:00",
  TZ0288: "+05:00",
  TZ0289: "+04:00",
  TZ0290: "-01:00",
  TZ0291: "-04:00",
  TZ0292: "+00:00",
  TZ0293: "-01:00",
  TZ0294: "+00:00",
  TZ0295: "+00:00",
  TZ0296: "+00:00",
  TZ0297: "-02:00",
  TZ0298: "-03:00",
  TZ0299: "+00:00",
  TZ0300: "+09:30",
  TZ0301: "+10:00",
  TZ0302: "+09:30",
  TZ0303: "+10:00",
  TZ0304: "+09:30",
  TZ0305: "+08:45",
  TZ0306: "+10:00",
  TZ0307: "+10:00",
  TZ0308: "+10:30",
  TZ0309: "+10:00",
  TZ0310: "+08:00",
  TZ0311: "+10:00",
  TZ0312: "+01:00",
  TZ0313: "+01:00",
  TZ0314: "+02:00",
  TZ0315: "+01:00",
  TZ0316: "+01:00",
  TZ0317: "+01:00",
  TZ0318: "+01:00",
  TZ0319: "+02:00",
  TZ0320: "+01:00",
  TZ0321: "+02:00",
  TZ0322: "+01:00",
  TZ0323: "+00:00",
  TZ0324: "+01:00",
  TZ0325: "+00:00",
  TZ0326: "+02:00",
  TZ0327: "+00:00",
  TZ0328: "+03:00",
  TZ0329: "+00:00",
  TZ0330: "+02:00",
  TZ0331: "+02:00",
  TZ0332: "+00:00",
  TZ0333: "+01:00",
  TZ0334: "+00:00",
  TZ0335: "+01:00",
  TZ0336: "+01:00",
  TZ0337: "+01:00",
  TZ0338: "+02:00",
  TZ0339: "+03:00",
  TZ0340: "+01:00",
  TZ0341: "+03:00",
  TZ0342: "+01:00",
  TZ0343: "+01:00",
  TZ0344: "+01:00",
  TZ0345: "+01:00",
  TZ0346: "+02:00",
  TZ0347: "+01:00",
  TZ0348: "+04:00",
  TZ0349: "+01:00",
  TZ0350: "+01:00",
  TZ0351: "+03:00",
  TZ0352: "+01:00",
  TZ0353: "+02:00",
  TZ0354: "+01:00",
  TZ0355: "+02:00",
  TZ0356: "+01:00",
  TZ0357: "+02:00",
  TZ0358: "+01:00",
  TZ0359: "+01:00",
  TZ0360: "+01:00",
  TZ0361: "+02:00",
  TZ0362: "+03:00",
  TZ0363: "+01:00",
  TZ0364: "+01:00",
  TZ0365: "+02:00",
  TZ0366: "+01:00",
  TZ0367: "+03:00",
  TZ0368: "+06:00",
  TZ0369: "+07:00",
  TZ0370: "+06:30",
  TZ0371: "+03:00",
  TZ0372: "+05:00",
  TZ0373: "+04:00",
  TZ0374: "+05:00",
  TZ0375: "+04:00",
  TZ0376: "+03:00",
  TZ0377: "+04:00",
  TZ0378: "+13:00",
  TZ0379: "+12:00",
  TZ0380: "+12:45",
  TZ0381: "+10:00",
  TZ0382: "-06:00",
  TZ0383: "+11:00",
  TZ0384: "+13:00",
  TZ0385: "+13:00",
  TZ0386: "+12:00",
  TZ0387: "+12:00",
  TZ0388: "-06:00",
  TZ0389: "-09:00",
  TZ0390: "+11:00",
  TZ0391: "+10:00",
  TZ0392: "-10:00",
  TZ0393: "-10:00",
  TZ0394: "+14:00",
  TZ0395: "+11:00",
  TZ0396: "+12:00",
  TZ0397: "+12:00",
  TZ0398: "-10:30",
  TZ0399: "-11:00",
  TZ0400: "+12:00",
  TZ0401: "-11:00",
  TZ0402: "+11:00",
  TZ0403: "+11:00",
  TZ0404: "-11:00",
  TZ0405: "+09:00",
  TZ0406: "-08:00",
  TZ0407: "+11:00",
  TZ0408: "+10:00",
  TZ0409: "-10:00",
  TZ0410: "+10:00",
  TZ0411: "-10:00",
  TZ0412: "+12:00",
  TZ0413: "+13:00",
  TZ0414: "+12:00",
  TZ0415: "+12:00",
};
